MONGOC_CLIENT_GET_SERVER_STATUS(3)

NAME
mongoc_client_get_server_status() - None

SYNOPSIS

bool
mongoc_client_get_server_status (mongoc_client_t     *client,
                                 mongoc_read_prefs_t *read_prefs,
                                 bson_t              *reply,
                                 bson_error_t        *error);

Queries the server for the current server status. The result is stored in reply \&.

NOTE
    reply is always initialized, even in the case of failure. Always call bson_destroy(3) to release it.

PARAMETERS

client
    A mongoc_client_t \&.

read_prefs
    A mongoc_read_prefs_t \&.

reply
    A location for the result bson_t \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true on success, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.